Bug 210785 - (pear-XML-Beautifier) Review Request: php-pear-XML-Beautifier - Class to format XML documents
Review Request: php-pear-XML-Beautifier - Class to format XML documents
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-14 20:07 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 23:30:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-14 20:07:19 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-XML-Beautifier.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-XML-Beautifier-1.1-1.src.rpm

Description:

XML_Beautifier is a package, that helps you making XML documents easier to
read for human beings.

It is able to add line-breaks, indentation, sorts attributes, convert tag
cases and wraps long comments. It recognizes tags, character data, comments,
XML declarations, processing instructions and external entities and is able
to format these tokens nicely.

The document is split into these tokens using the XML_Beautifier_Tokenizer
class and the expat parser. Then a renderer is used to create the string
representation of the document and formats it using the specified options.

Currently only one renderer is available, but as XML_Beautifier uses a
driver-based architecture, other renderers (like syntax-highlighting)
will follow soon.
Comment 1 Jason Tibbitts 2006-10-15 20:18:20 EDT
* source files match upstream:
   d121758edb840d9107debb26bb5837d7  XML_Beautifier-1.1.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(XML_Beautifier) = 1.1
   php-pear-XML-Beautifier = 1.1-1.fc6
  =
   /bin/sh
   /usr/bin/pear
   php-pear(PEAR)
   php-pear(XML_Parser)
   php-pear(XML_Util)
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module installation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Christopher Stone 2006-10-16 23:30:42 EDT
Imported and built, thanks for the review.
Comment 3 Christopher Stone 2007-04-22 18:39:16 EDT
Branch Package CVS Request
=======================
Package Name: php-pear-XML-Beautifier
Short Description: Class to format XML documents
Owners: chris.stone@gmail.com
Branches: EL-5
InitialCC: 

Note You need to log in before you can comment on or make changes to this bug.